Package fr.gouv.vitam.functional.administration.common

# Class FileRules

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<FileRules>
fr.gouv.vitam.functional.administration.common.FileRules

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class FileRules extends VitamDocument<FileRules>
FileRules create the template of FileRules from VitamDocument

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RULEDESCRIPTION`
  the rule description
  `static final String`
  `RULEDURATION`
  the rule duration
  `static final String`
  `RULEID`
  the rule id
  `static final String`
  `RULEMEASUREMENT`
  the rule measurement
  `static final String`
  `RULETYPE`
  the rule type
  `static final String`
  `RULEVALUE`
  the rule value

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileRules()`
  Constructor
  `FileRules(com.fasterxml.jackson.databind.JsonNode content)`
  `FileRules(Integer tenantId)`
  `FileRules(String content)`
  `FileRules(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationdate()`
  `String`
  `getRuledescription()`
  `String`
  `getRuleduration()`
  `String`
  `getRuleid()`
  `RuleMeasurementEnum`
  `getRulemeasurement()`
  `RuleType`
  `getRuletype()`
  `String`
  `getRulevalue()`
  `VitamDocument<FileRules>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `FileRules`
  `setCreationDate(String creationDate)`
  setCreationDate
  `FileRules`
  `setRuleDescription(String ruleDescription)`
  setRuleDescription
  `FileRules`
  `setRuleDuration(String ruleDuration)`
  setRuleDuration
  `FileRules`
  `setRuleId(String ruleId)`
  setRuleId
  `FileRules`
  `setRuleMeasurement(String ruleMeasurement)`
  setRuleMeasurement
  `FileRules`
  `setRuleType(String ruleType)`
  setRuleType
  `FileRules`
  `setRuleValue(String ruleValue)`
  setRuleValue
  `FileRules`
  `setUpdateDate(String updateDate)`
  setUpdateDate

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### RULEID

    public static final String RULEID
    the rule id
    See Also:
      - Constant Field Values

  - ### RULETYPE

    public static final String RULETYPE
    the rule type
    See Also:
      - Constant Field Values

  - ### RULEVALUE

    public static final String RULEVALUE
    the rule value
    See Also:
      - Constant Field Values

  - ### RULEDESCRIPTION

    public static final String RULEDESCRIPTION
    the rule description
    See Also:
      - Constant Field Values

  - ### RULEDURATION

    public static final String RULEDURATION
    the rule duration
    See Also:
      - Constant Field Values

  - ### RULEMEASUREMENT

    public static final String RULEMEASUREMENT
    the rule measurement
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FileRules

    public FileRules()
    Constructor

  - ### FileRules

    public FileRules(org.bson.Document document)
    Constructor
    Parameters:
      `document` - in format Document to create FileRules

  - ### FileRules

    public FileRules(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create FileRules

  - ### FileRules

    public FileRules(String content)
    Parameters:
      `content` - in format String to create FileRules

  - ### FileRules

    public FileRules(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

- ## Method Details

  - ### newInstance

    public VitamDocument<FileRules> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<FileRules>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setRuleId

    public FileRules setRuleId(String ruleId)
    setRuleId
    Parameters:
      `ruleId` - to set
    Returns:
      FileRules

  - ### setRuleType

    public FileRules setRuleType(String ruleType)
    setRuleType
    Parameters:
      `ruleType` - to set
    Returns:
      FileRules

  - ### setRuleValue

    public FileRules setRuleValue(String ruleValue)
    setRuleValue
    Parameters:
      `ruleValue` - to set
    Returns:
      FileRules

  - ### setRuleDescription

    public FileRules setRuleDescription(String ruleDescription)
    setRuleDescription
    Parameters:
      `ruleDescription` - to set
    Returns:
      FileRules

  - ### setRuleDuration

    public FileRules setRuleDuration(String ruleDuration)
    setRuleDuration
    Parameters:
      `ruleDuration` - to set
    Returns:
      FileRules

  - ### setRuleMeasurement

    public FileRules setRuleMeasurement(String ruleMeasurement)
    setRuleMeasurement
    Parameters:
      `ruleMeasurement` - to set
    Returns:
      FileRules

  - ### setCreationDate

    public FileRules setCreationDate(String creationDate)
    setCreationDate
    Parameters:
      `creationDate` - to set
    Returns:
      this

  - ### setUpdateDate

    public FileRules setUpdateDate(String updateDate)
    setUpdateDate
    Parameters:
      `updateDate` - to set
    Returns:
      this

  - ### getRuleid

    public String getRuleid()

  - ### getRuletype

    public RuleType getRuletype()

  - ### getRulevalue

    public String getRulevalue()

  - ### getRuledescription

    public String getRuledescription()

  - ### getRuleduration

    public String getRuleduration()

  - ### getRulemeasurement

    public RuleMeasurementEnum getRulemeasurement()

  - ### getCreationdate

    public String getCreationdate()